Skip to navigation

Partially update an event

View as Markdown

Update individual fields on an event that already exists in Hive. Send only the fields that changed — at least one is required. The event is identified by event_id in the path, and the update time is server-stamped.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

event_idstringRequired

Headers

X-Partner-IdstringRequired
Your OAuth application client ID.

Request

This endpoint expects an object.
primary_performer_nameslist of stringsOptional
supporting_performer_nameslist of stringsOptional
descriptionstringOptional
end_atdatetimeOptional
presale_start_atdatetimeOptional
onsale_start_atdatetimeOptional
doors_open_atdatetimeOptional
thumbnail_urlstringOptionalformat: "uri"
genreslist of stringsOptional
tagslist of stringsOptional
has_tickets_availablebooleanOptional
total_ticketsintegerOptional>=0
timezonestringOptional>=1 character
venueobjectOptional
tierslist of objectsOptional
propertiesmap from strings to strings or integers or doublesOptional
namestringOptional>=1 character
start_atdatetimeOptional
event_urlstringOptionalformat: "uri"

Response

Received and queued for background processing. Not yet applied.

Errors

404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error